curl --request PUT \
--url https://kyc.sbx.moduluslabs.io/v2/onboard/{refNo} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchantName": "<string>",
"modeOfPayments": [],
"tin": "<string>",
"industry": "<string>",
"serviceDescription": "<string>",
"isBrickAndMortarStore": true,
"address": {
"office": {
"city": "<string>",
"line1": "<string>",
"state": "<string>",
"postalCode": "<string>",
"contactNumber": "<string>",
"barangay": "<string>",
"buildingNameAndNumber": "<string>"
}
},
"representatives": {
"authorized": {
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "jsmith@example.com",
"contactNumber": "<string>",
"dateOfBirth": "2023-12-25",
"position": "<string>",
"middleName": "<string>",
"tin": "<string>",
"sss": "<string>",
"mothersMaidenName": "<string>"
},
"escalation": {
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "jsmith@example.com",
"contactNumber": "<string>",
"dateOfBirth": "2023-12-25",
"tin": "<string>",
"sss": "<string>",
"position": "<string>"
}
},
"banks": [
{
"bankName": "<string>",
"accountName": "<string>",
"accountNumber": "<string>"
}
],
"isWantPackworksWallet": true,
"isWantPayMayaWallet": true,
"isWantPayMayaBankAccount": true,
"legalName": "<string>",
"businessHandle": "<string>",
"incorporators": [
{
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "jsmith@example.com",
"contactNumber": "<string>",
"dateOfBirth": "2023-12-25",
"address": {
"city": "<string>",
"line1": "<string>",
"state": "<string>",
"postalCode": "<string>",
"contactNumber": "<string>",
"barangay": "<string>",
"buildingNameAndNumber": "<string>"
},
"middleName": "<string>"
}
],
"signatories": [
{
"firstName": "<string>",
"lastName": "<string>",
"position": "<string>",
"middleName": "<string>"
}
],
"websites": {
"businessWebsiteUrl": "<string>",
"isBusinessWebsiteUnderDevelopment": true,
"facebookUrl": "<string>",
"twitterUrl": "<string>",
"instagramUrl": "<string>",
"tiktokUrl": "<string>"
},
"aubPartnerId": "<string>",
"estimatedMonthlyGrossTransaction": "<string>"
}
'import requests
url = "https://kyc.sbx.moduluslabs.io/v2/onboard/{refNo}"
payload = {
"merchantName": "<string>",
"modeOfPayments": [],
"tin": "<string>",
"industry": "<string>",
"serviceDescription": "<string>",
"isBrickAndMortarStore": True,
"address": { "office": {
"city": "<string>",
"line1": "<string>",
"state": "<string>",
"postalCode": "<string>",
"contactNumber": "<string>",
"barangay": "<string>",
"buildingNameAndNumber": "<string>"
} },
"representatives": {
"authorized": {
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "jsmith@example.com",
"contactNumber": "<string>",
"dateOfBirth": "2023-12-25",
"position": "<string>",
"middleName": "<string>",
"tin": "<string>",
"sss": "<string>",
"mothersMaidenName": "<string>"
},
"escalation": {
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "jsmith@example.com",
"contactNumber": "<string>",
"dateOfBirth": "2023-12-25",
"tin": "<string>",
"sss": "<string>",
"position": "<string>"
}
},
"banks": [
{
"bankName": "<string>",
"accountName": "<string>",
"accountNumber": "<string>"
}
],
"isWantPackworksWallet": True,
"isWantPayMayaWallet": True,
"isWantPayMayaBankAccount": True,
"legalName": "<string>",
"businessHandle": "<string>",
"incorporators": [
{
"firstName": "<string>",
"lastName": "<string>",
"emailAddress": "jsmith@example.com",
"contactNumber": "<string>",
"dateOfBirth": "2023-12-25",
"address": {
"city": "<string>",
"line1": "<string>",
"state": "<string>",
"postalCode": "<string>",
"contactNumber": "<string>",
"barangay": "<string>",
"buildingNameAndNumber": "<string>"
},
"middleName": "<string>"
}
],
"signatories": [
{
"firstName": "<string>",
"lastName": "<string>",
"position": "<string>",
"middleName": "<string>"
}
],
"websites": {
"businessWebsiteUrl": "<string>",
"isBusinessWebsiteUnderDevelopment": True,
"facebookUrl": "<string>",
"twitterUrl": "<string>",
"instagramUrl": "<string>",
"tiktokUrl": "<string>"
},
"aubPartnerId": "<string>",
"estimatedMonthlyGrossTransaction": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchantName: '<string>',
modeOfPayments: [],
tin: '<string>',
industry: '<string>',
serviceDescription: '<string>',
isBrickAndMortarStore: true,
address: {
office: {
city: '<string>',
line1: '<string>',
state: '<string>',
postalCode: '<string>',
contactNumber: '<string>',
barangay: '<string>',
buildingNameAndNumber: '<string>'
}
},
representatives: {
authorized: {
firstName: '<string>',
lastName: '<string>',
emailAddress: 'jsmith@example.com',
contactNumber: '<string>',
dateOfBirth: '2023-12-25',
position: '<string>',
middleName: '<string>',
tin: '<string>',
sss: '<string>',
mothersMaidenName: '<string>'
},
escalation: {
firstName: '<string>',
lastName: '<string>',
emailAddress: 'jsmith@example.com',
contactNumber: '<string>',
dateOfBirth: '2023-12-25',
tin: '<string>',
sss: '<string>',
position: '<string>'
}
},
banks: [{bankName: '<string>', accountName: '<string>', accountNumber: '<string>'}],
isWantPackworksWallet: true,
isWantPayMayaWallet: true,
isWantPayMayaBankAccount: true,
legalName: '<string>',
businessHandle: '<string>',
incorporators: [
{
firstName: '<string>',
lastName: '<string>',
emailAddress: 'jsmith@example.com',
contactNumber: '<string>',
dateOfBirth: '2023-12-25',
address: {
city: '<string>',
line1: '<string>',
state: '<string>',
postalCode: '<string>',
contactNumber: '<string>',
barangay: '<string>',
buildingNameAndNumber: '<string>'
},
middleName: '<string>'
}
],
signatories: [
{
firstName: '<string>',
lastName: '<string>',
position: '<string>',
middleName: '<string>'
}
],
websites: {
businessWebsiteUrl: '<string>',
isBusinessWebsiteUnderDevelopment: true,
facebookUrl: '<string>',
twitterUrl: '<string>',
instagramUrl: '<string>',
tiktokUrl: '<string>'
},
aubPartnerId: '<string>',
estimatedMonthlyGrossTransaction: '<string>'
})
};
fetch('https://kyc.sbx.moduluslabs.io/v2/onboard/{refNo}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://kyc.sbx.moduluslabs.io/v2/onboard/{refNo}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'merchantName' => '<string>',
'modeOfPayments' => [
],
'tin' => '<string>',
'industry' => '<string>',
'serviceDescription' => '<string>',
'isBrickAndMortarStore' => true,
'address' => [
'office' => [
'city' => '<string>',
'line1' => '<string>',
'state' => '<string>',
'postalCode' => '<string>',
'contactNumber' => '<string>',
'barangay' => '<string>',
'buildingNameAndNumber' => '<string>'
]
],
'representatives' => [
'authorized' => [
'firstName' => '<string>',
'lastName' => '<string>',
'emailAddress' => 'jsmith@example.com',
'contactNumber' => '<string>',
'dateOfBirth' => '2023-12-25',
'position' => '<string>',
'middleName' => '<string>',
'tin' => '<string>',
'sss' => '<string>',
'mothersMaidenName' => '<string>'
],
'escalation' => [
'firstName' => '<string>',
'lastName' => '<string>',
'emailAddress' => 'jsmith@example.com',
'contactNumber' => '<string>',
'dateOfBirth' => '2023-12-25',
'tin' => '<string>',
'sss' => '<string>',
'position' => '<string>'
]
],
'banks' => [
[
'bankName' => '<string>',
'accountName' => '<string>',
'accountNumber' => '<string>'
]
],
'isWantPackworksWallet' => true,
'isWantPayMayaWallet' => true,
'isWantPayMayaBankAccount' => true,
'legalName' => '<string>',
'businessHandle' => '<string>',
'incorporators' => [
[
'firstName' => '<string>',
'lastName' => '<string>',
'emailAddress' => 'jsmith@example.com',
'contactNumber' => '<string>',
'dateOfBirth' => '2023-12-25',
'address' => [
'city' => '<string>',
'line1' => '<string>',
'state' => '<string>',
'postalCode' => '<string>',
'contactNumber' => '<string>',
'barangay' => '<string>',
'buildingNameAndNumber' => '<string>'
],
'middleName' => '<string>'
]
],
'signatories' => [
[
'firstName' => '<string>',
'lastName' => '<string>',
'position' => '<string>',
'middleName' => '<string>'
]
],
'websites' => [
'businessWebsiteUrl' => '<string>',
'isBusinessWebsiteUnderDevelopment' => true,
'facebookUrl' => '<string>',
'twitterUrl' => '<string>',
'instagramUrl' => '<string>',
'tiktokUrl' => '<string>'
],
'aubPartnerId' => '<string>',
'estimatedMonthlyGrossTransaction' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://kyc.sbx.moduluslabs.io/v2/onboard/{refNo}"
payload := strings.NewReader("{\n \"merchantName\": \"<string>\",\n \"modeOfPayments\": [],\n \"tin\": \"<string>\",\n \"industry\": \"<string>\",\n \"serviceDescription\": \"<string>\",\n \"isBrickAndMortarStore\": true,\n \"address\": {\n \"office\": {\n \"city\": \"<string>\",\n \"line1\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"contactNumber\": \"<string>\",\n \"barangay\": \"<string>\",\n \"buildingNameAndNumber\": \"<string>\"\n }\n },\n \"representatives\": {\n \"authorized\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"emailAddress\": \"jsmith@example.com\",\n \"contactNumber\": \"<string>\",\n \"dateOfBirth\": \"2023-12-25\",\n \"position\": \"<string>\",\n \"middleName\": \"<string>\",\n \"tin\": \"<string>\",\n \"sss\": \"<string>\",\n \"mothersMaidenName\": \"<string>\"\n },\n \"escalation\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"emailAddress\": \"jsmith@example.com\",\n \"contactNumber\": \"<string>\",\n \"dateOfBirth\": \"2023-12-25\",\n \"tin\": \"<string>\",\n \"sss\": \"<string>\",\n \"position\": \"<string>\"\n }\n },\n \"banks\": [\n {\n \"bankName\": \"<string>\",\n \"accountName\": \"<string>\",\n \"accountNumber\": \"<string>\"\n }\n ],\n \"isWantPackworksWallet\": true,\n \"isWantPayMayaWallet\": true,\n \"isWantPayMayaBankAccount\": true,\n \"legalName\": \"<string>\",\n \"businessHandle\": \"<string>\",\n \"incorporators\": [\n {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"emailAddress\": \"jsmith@example.com\",\n \"contactNumber\": \"<string>\",\n \"dateOfBirth\": \"2023-12-25\",\n \"address\": {\n \"city\": \"<string>\",\n \"line1\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"contactNumber\": \"<string>\",\n \"barangay\": \"<string>\",\n \"buildingNameAndNumber\": \"<string>\"\n },\n \"middleName\": \"<string>\"\n }\n ],\n \"signatories\": [\n {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"position\": \"<string>\",\n \"middleName\": \"<string>\"\n }\n ],\n \"websites\": {\n \"businessWebsiteUrl\": \"<string>\",\n \"isBusinessWebsiteUnderDevelopment\": true,\n \"facebookUrl\": \"<string>\",\n \"twitterUrl\": \"<string>\",\n \"instagramUrl\": \"<string>\",\n \"tiktokUrl\": \"<string>\"\n },\n \"aubPartnerId\": \"<string>\",\n \"estimatedMonthlyGrossTransaction\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://kyc.sbx.moduluslabs.io/v2/onboard/{refNo}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"merchantName\": \"<string>\",\n \"modeOfPayments\": [],\n \"tin\": \"<string>\",\n \"industry\": \"<string>\",\n \"serviceDescription\": \"<string>\",\n \"isBrickAndMortarStore\": true,\n \"address\": {\n \"office\": {\n \"city\": \"<string>\",\n \"line1\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"contactNumber\": \"<string>\",\n \"barangay\": \"<string>\",\n \"buildingNameAndNumber\": \"<string>\"\n }\n },\n \"representatives\": {\n \"authorized\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"emailAddress\": \"jsmith@example.com\",\n \"contactNumber\": \"<string>\",\n \"dateOfBirth\": \"2023-12-25\",\n \"position\": \"<string>\",\n \"middleName\": \"<string>\",\n \"tin\": \"<string>\",\n \"sss\": \"<string>\",\n \"mothersMaidenName\": \"<string>\"\n },\n \"escalation\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"emailAddress\": \"jsmith@example.com\",\n \"contactNumber\": \"<string>\",\n \"dateOfBirth\": \"2023-12-25\",\n \"tin\": \"<string>\",\n \"sss\": \"<string>\",\n \"position\": \"<string>\"\n }\n },\n \"banks\": [\n {\n \"bankName\": \"<string>\",\n \"accountName\": \"<string>\",\n \"accountNumber\": \"<string>\"\n }\n ],\n \"isWantPackworksWallet\": true,\n \"isWantPayMayaWallet\": true,\n \"isWantPayMayaBankAccount\": true,\n \"legalName\": \"<string>\",\n \"businessHandle\": \"<string>\",\n \"incorporators\": [\n {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"emailAddress\": \"jsmith@example.com\",\n \"contactNumber\": \"<string>\",\n \"dateOfBirth\": \"2023-12-25\",\n \"address\": {\n \"city\": \"<string>\",\n \"line1\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"contactNumber\": \"<string>\",\n \"barangay\": \"<string>\",\n \"buildingNameAndNumber\": \"<string>\"\n },\n \"middleName\": \"<string>\"\n }\n ],\n \"signatories\": [\n {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"position\": \"<string>\",\n \"middleName\": \"<string>\"\n }\n ],\n \"websites\": {\n \"businessWebsiteUrl\": \"<string>\",\n \"isBusinessWebsiteUnderDevelopment\": true,\n \"facebookUrl\": \"<string>\",\n \"twitterUrl\": \"<string>\",\n \"instagramUrl\": \"<string>\",\n \"tiktokUrl\": \"<string>\"\n },\n \"aubPartnerId\": \"<string>\",\n \"estimatedMonthlyGrossTransaction\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://kyc.sbx.moduluslabs.io/v2/onboard/{refNo}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"merchantName\": \"<string>\",\n \"modeOfPayments\": [],\n \"tin\": \"<string>\",\n \"industry\": \"<string>\",\n \"serviceDescription\": \"<string>\",\n \"isBrickAndMortarStore\": true,\n \"address\": {\n \"office\": {\n \"city\": \"<string>\",\n \"line1\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"contactNumber\": \"<string>\",\n \"barangay\": \"<string>\",\n \"buildingNameAndNumber\": \"<string>\"\n }\n },\n \"representatives\": {\n \"authorized\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"emailAddress\": \"jsmith@example.com\",\n \"contactNumber\": \"<string>\",\n \"dateOfBirth\": \"2023-12-25\",\n \"position\": \"<string>\",\n \"middleName\": \"<string>\",\n \"tin\": \"<string>\",\n \"sss\": \"<string>\",\n \"mothersMaidenName\": \"<string>\"\n },\n \"escalation\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"emailAddress\": \"jsmith@example.com\",\n \"contactNumber\": \"<string>\",\n \"dateOfBirth\": \"2023-12-25\",\n \"tin\": \"<string>\",\n \"sss\": \"<string>\",\n \"position\": \"<string>\"\n }\n },\n \"banks\": [\n {\n \"bankName\": \"<string>\",\n \"accountName\": \"<string>\",\n \"accountNumber\": \"<string>\"\n }\n ],\n \"isWantPackworksWallet\": true,\n \"isWantPayMayaWallet\": true,\n \"isWantPayMayaBankAccount\": true,\n \"legalName\": \"<string>\",\n \"businessHandle\": \"<string>\",\n \"incorporators\": [\n {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"emailAddress\": \"jsmith@example.com\",\n \"contactNumber\": \"<string>\",\n \"dateOfBirth\": \"2023-12-25\",\n \"address\": {\n \"city\": \"<string>\",\n \"line1\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"contactNumber\": \"<string>\",\n \"barangay\": \"<string>\",\n \"buildingNameAndNumber\": \"<string>\"\n },\n \"middleName\": \"<string>\"\n }\n ],\n \"signatories\": [\n {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"position\": \"<string>\",\n \"middleName\": \"<string>\"\n }\n ],\n \"websites\": {\n \"businessWebsiteUrl\": \"<string>\",\n \"isBusinessWebsiteUnderDevelopment\": true,\n \"facebookUrl\": \"<string>\",\n \"twitterUrl\": \"<string>\",\n \"instagramUrl\": \"<string>\",\n \"tiktokUrl\": \"<string>\"\n },\n \"aubPartnerId\": \"<string>\",\n \"estimatedMonthlyGrossTransaction\": \"<string>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
{
"onboardingStatus": "PENDING",
"onboardingReferenceNumber": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"details": {}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"details": {}
}Update Onboarding Data
Update merchant onboarding data after being declined
Overview
Updates the onboarding data for a merchant using the onboarding reference number. This endpoint allows merchants to correct and resubmit their information after their application has been declined.DECLINED state, which then move to PENDING for re-review.Authentication
This endpoint requires JWT Bearer Token authentication.Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Authorization Rules
| User Role | Required Merchant Status | Result Status After Update |
|---|---|---|
| Regular User | DECLINED | PENDING |
Transaction Behavior
- Validating all request parameters
- Checking user authorization and merchant status
- Updating business information
- Updating incorporators and signatories
- Updating addresses and representatives
- Updating bank accounts
- Changing status to PENDING (for regular users)
Validation Rules Summary
Business Type
legalName and businessHandleBank Accounts
NO_ACCOUNT: bankName, accountName, accountNumber, currency requiredBank Type
accountDepositType is BANK: accountType is also requiredWebsite
businessWebsiteUrl provided: isBusinessWebsiteUnderDevelopment requiredStatus Change Flow
Merchant is DECLINED
Merchant Updates Data
Status Changes to PENDING
Admin Re-reviews
Use Cases
Fix Declined Application
Update Business Info
Add Missing Documents
Correct Validation Errors
Troubleshooting
Cannot Update APPROVED Merchant
Cannot Update APPROVED Merchant
Unable to update. Merchant is not in declined status.Issue: Regular users cannot update approved merchantsSolution:- Only DECLINED merchants can be updated by regular users
- Approved records are updated only through Modulus review.
- To update business details after approval, create a new onboarding request
Transaction Keeps Rolling Back
Transaction Keeps Rolling Back
Failed to update onboarding recordPossible Causes:- Database connectivity issues
- Data integrity constraints violated
- Concurrent updates from multiple sources
- Retry the request after a short delay
- Ensure no concurrent updates are happening
- Contact support if issue persists
Validation Errors on Update
Validation Errors on Update
merchantName is requiredSolution:- Ensure ALL required fields from original onboarding are included
- Don’t just send changed fields - send complete data
- Use retrieve endpoint to get current data first
- Validate against the same rules as initial onboarding
Field Validation Reference
- Text Fields
- Enums
- Patterns
- Arrays
- First/Middle/Last Names: 1-100 chars, Unicode letters, spaces, hyphens, apostrophes
- Email: Valid email format, max 100 chars
- TIN: Numbers only, max 20 chars
- Postal Code: 4-10 digits, numbers only
- Contact Number: Numbers only, max 30 chars
- SSS: Exactly 10 digits
- accountDepositType: BANK, PAYMAYA, GCASH, NO_ACCOUNT
- accountType: SAVINGS, CHECKING_CURRENT
- currency: PHP, USD
- gender: MALE, FEMALE
- settlementRail: instapay, pesonet
- businessHandle:
^([A-Za-z]|[0-9]|_|-)+$ - tin:
^\d+$ - postalCode:
^\d+$ - contactNumber:
^\d+$
- modeOfPayments: Min 1 item
- banks: Min 1, Max 2 items
- incorporators: Min 1, Max 5 items (non-STARTER only)
- signatories: Min 1, Max 5 items
Next Steps
Retrieve Onboarding Data
Retrieve Status
Onboard Merchant
Error Handling
Authorizations
JWT Bearer token authentication
Path Parameters
The onboarding reference number (UUID v4 format)
Body
Resubmit a declined application. Unlike a partial patch, the service revalidates the full business profile: the fields below marked required must all be present. businessType and parentOnboardingRefNo are set on the initial submission (POST /v2/onboard) and cannot be changed here.
Trading name or DBA (Doing Business As) name
500List of accepted payment modes
1TERMINAL, ECOM, PAYMENT_LINK, QRPH, PAY_WITH_MAYA Primary currency for transactions
PHP, USD Tax Identification Number
20^\d+$Business industry category
200Description of services or products offered
Whether the business has a physical store location
Show child attributes
Show child attributes
Show child attributes
Show child attributes
List of bank accounts for settlement
1 - 2 elementsShow child attributes
Show child attributes
Whether the merchant wants a wallet.
Whether the merchant wants a Maya wallet.
Whether the merchant wants a Maya bank account.
Legal registered name of the business (required for non-STARTER types)
500Unique business handle/slug for payment links (required for non-STARTER types)
^([A-Za-z]|[0-9]|_|-)+$List of business incorporators (for non-STARTER types)
1 - 5 elementsShow child attributes
Show child attributes
List of authorized signatories
1 - 5 elementsShow child attributes
Show child attributes
Show child attributes
Show child attributes
Optional partner identifier.
Optional estimated monthly gross transaction volume.
Was this page helpful?